#pragma once
#include "workspaceaccess.h"
#include "WorkspaceListAccess.h"

class CCGICommand :
	public CWorkspaceAccess
{
public:
	//	コンストラクタをまとめて定義
	DEFINE_COMMON_CONSTRUCTOR(CCGICommand);

	///////////////////////////////////////////////////////////////////////////////////////////////////
	//	プロパティ
	///////////////////////////////////////////////////////////////////////////////////////////////////
	//!	パス・ファイル名
	DEFINE_PROPERTY_METHOD_STR(PathFilter,			"PathFilter",		"");

	//!	ヘッダ
	DEFINE_PROPERTY_METHOD_STR(HeaderFilter,		"HeaderFilter",		"");

	//!	実行ファイルの検出(1だと、ヘッダフィルタは無効になる)
	DEFINE_PROPERTY_METHOD_INT(WindowsExecutable,	"WindowsExecutable",		0);

	//!	コマンド
	DEFINE_PROPERTY_METHOD_STR(CGICommand,			"CGICommand",		"");
};

//!	リスト型
typedef CWorkspaceTypedListAccess<CCGICommand, CWTLAName<'C', 'G', 'I'>>CCGICommandList;
